import type Puppeteer from 'puppeteer';
import { IInterceptionProxyBrowser, IInterceptionProxyPlugin } from '../interfaces';
import { InterceptionProxyPageConfig } from './Page';
declare class BrowserBase {
}
interface BrowserBase extends IInterceptionProxyBrowser {
}
declare class InterceptionProxyBrowserConfig extends BrowserBase {
    protected __parent: IInterceptionProxyPlugin;
    constructor(__parent: IInterceptionProxyPlugin);
    proceedNewPage(page: Puppeteer.Page): Promise<InterceptionProxyPageConfig>;
}
export { InterceptionProxyBrowserConfig };
