"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Plugin = exports.default = exports.InterceptionProxyPlugin = void 0;
const interfaces_1 = require("../interfaces");
const mixins_1 = require("../mixins");
const Browser_1 = require("./Browser");
// I hope we will migrate soon
// Sad but stable puppeteer-extra does not support AutomationExtraPlugin yet
/*/
import { AutomationExtraPlugin } from 'automation-extra-plugin';
@applyConfigurableMixin
@applyLoggableMixin
class PluginBase extends AutomationExtraPlugin {
    static id() {
        return EXTRA_PLUGIN_ID
    }
}
/*/
const puppeteer_extra_plugin_1 = require("puppeteer-extra-plugin");
let PluginBase = class PluginBase extends puppeteer_extra_plugin_1.PuppeteerExtraPlugin {
    get name() {
        return interfaces_1.EXTRA_PLUGIN_ID;
    }
};
PluginBase = __decorate([
    mixins_1.applyConfigurableMixin,
    mixins_1.applyLoggableMixin
], PluginBase);
class InterceptionProxyPlugin extends PluginBase {
    async onPageCreated(page) {
        const browser = await page.browser();
        browser[interfaces_1.INTERCEPTION_KEY_HOOK].proceedNewPage(page);
    }
    // Add additions to already existing pages and frames
    async onBrowser(browser) {
        browser[interfaces_1.INTERCEPTION_KEY_HOOK] = new Browser_1.InterceptionProxyBrowserConfig(this);
        const pages = await browser.pages();
        for (const page of pages) {
            this.onPageCreated(page);
        }
    }
}
exports.InterceptionProxyPlugin = InterceptionProxyPlugin;
exports.default = InterceptionProxyPlugin;
exports.Plugin = InterceptionProxyPlugin;
//# sourceMappingURL=Plugin.js.map