"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapPage = exports.AutomationExtraInterceptionProxyPlugin = exports.default = exports.InterceptionProxyPlugin = void 0;
const Plugin_1 = require("./classes/Plugin");
Object.defineProperty(exports, "InterceptionProxyPlugin", { enumerable: true, get: function () { return Plugin_1.Plugin; } });
Object.defineProperty(exports, "default", { enumerable: true, get: function () { return Plugin_1.Plugin; } });
Object.defineProperty(exports, "AutomationExtraInterceptionProxyPlugin", { enumerable: true, get: function () { return Plugin_1.Plugin; } });
const Page_1 = require("./classes/Page");
/**
 * Add interception ability to the page [(sample)](https://github.com/utyfua/automation-extra-interception-proxy/blob/master/samples/singlePageInterception.js)
 *
 * @param page Page for future interceptions
 */
async function wrapPage(page, config) {
    return await Page_1.InterceptionProxyPageConfig.proceedNewPage(page, config);
}
exports.wrapPage = wrapPage;
//# sourceMappingURL=index.js.map