"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLogger = void 0;
const defaultLogger = function defaultLogger({ level, message, error, meta }) {
    message = '[interceptions] ' + message.split('\n').join('. ');
    switch (level) {
        case 'error':
            if (error)
                console.error(error);
            console.log(message, ...meta);
            break;
        case 'warning':
            console.warn('Warning: ' + message, ...meta);
            break;
        case 'info':
            console.log(message, ...meta);
            break;
    }
};
exports.defaultLogger = defaultLogger;
//# sourceMappingURL=logger.js.map