import type Puppeteer from 'puppeteer';
import { IInterceptionProxyPlugin } from '../interfaces';
import { PuppeteerExtraPlugin } from 'puppeteer-extra-plugin';
declare class PluginBase extends PuppeteerExtraPlugin {
    get name(): string;
}
interface PluginBase extends IInterceptionProxyPlugin {
}
declare class InterceptionProxyPlugin extends PluginBase {
    onPageCreated(page: Puppeteer.Page): Promise<void>;
    onBrowser(browser: Puppeteer.Browser): Promise<void>;
}
export { InterceptionProxyPlugin, InterceptionProxyPlugin as default, InterceptionProxyPlugin as Plugin };
